<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('DokumenType', function (Blueprint $table) {
            $table->id('DokumenTypeID');
            $table->string('Kode', 50)->unique();
            $table->string('Nama', 100);
            $table->timestamps();

            $table->index(['Kode'], 'IX_DokumenType_Kode');
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('DokumenType');
    }
};

